Page MenuHomePhabricator

[lldb/CMake] Make it possible to build against Python 2 with CMake > 3.12
ClosedPublic

Authored by JDevlieghere on Jun 9 2020, 1:58 PM.

Details

Summary

In addition to having the default fallback from Python 3 to Python 2, it should also be possible to build against Python 2 explicitly. This patch makes that possible by setting LLDB_PYTHON_VERSION.

Diff Detail

Event Timeline

JDevlieghere created this revision.Jun 9 2020, 1:58 PM
compnerd accepted this revision.Jun 9 2020, 2:05 PM

Would be nice to remove this entirely in favour of CMake's builtin support for Python Interpeter and Libraries.

This revision is now accepted and ready to land.Jun 9 2020, 2:05 PM

Would be nice to remove this entirely in favour of CMake's builtin support for Python Interpeter and Libraries.

It'll continue to exist to find Python and SWIG atomically, but at least once we bump the minimum requirement for CMake to 3.12 this file will be a lot simpler.

This revision was automatically updated to reflect the committed changes.